Extrusion and difference
Hi I managed to get the rhinocommons working and can now do some stuff from c#. But can’t get the most important functions to work: I want to extrude a shape along a curve. The end points of the curve...
View ArticleGet vector on Brep Edge following surface
Hi guys, I’m looking for a way to get the vector on a specific point on a brep edge. How do I do that? I found TangentAt, but that only provides me the vector which runs along the brep edge. Or?...
View Article"multiple" call to Compute
What is the status of being able to batch call (i.e. Multiple=True) functions like compute_rhino3d.AreaMassProperties.Compute(…) ? (also getBoundingBox, Curve.GetLength) I don’t seem to be able to get...
View ArticleRhinoscript addLoft surface with EndPoint
Dear all, I would like to draw, using script, an open Loft surface based on 3 closed curve and an End point. I tried to use this function: Rhino.AddLoftSrf (arrObjects [, arrStartPt [, arrEndPt[,...
View ArticleBooleanUnion of touching but non-intersecting solids
I try to programmatically unionize solids with RhinoCommon. For this I use an iterative process: I take two solids from the list and calculate the BooleanUnion. If successful (valid and closed) the...
View ArticleCommandline options problem in C#
I am trying to make a simple command in rhino to array rectangles in a curve, the problem is the commandline options does not work properly as an input. This is just a test I am trying to learn C# in...
View ArticleHow to save plugin preferences to 3dm file
Hi everyone, I have preferences in my plugin like language, unit, default values for objects and these objects can change by user in file. But when I save, close and open file again, of course these...
View ArticleUndo inside command "undoes" previous one
Hi all, I have a problem firing _Undo inside my custom commands. Basically, if I use a GetObject or a GetPoint (and potentially any Get, I tried these two) and do not set GetObject.AcceptUndo(true),...
View ArticleUnroller splits up curves?
I’m trying to use the Unroller class to unroll a few curves and it seems like the unroller splits up 1 of the curves in 2 pieces after unrolling. Joining them afterwards works fine so they are within...
View ArticleEto Form set property exception
Hi, Im getting an error with an eto form that I have writen in a python script. This has been working for some time, but now suddenly not working. Im trying to fix this but dont really know where to...
View ArticleRhino 7 Plugin distribution
The latest Rhino 7 loads Rhino 6 plugins automatically. I had published new plugins via the Package Manager, specifically for Rhino 7 with additional functionalities which is absent in RhinoCommon v6....
View ArticleJigging in Rhino
In AutoCAD I use jigging with Jig classes to see my entity at the cursor before I add it to the drawing. Is it a simular way to do it in Rhino? 3 posts - 2 participants Read full topic
View ArticleFile3dm InstanceReferenceGeometry
Hi, I am trying to get the Block Instances and transform them into their original positions by reading the File3dm that contains those Block Instances. However I could only get the outputs as seen...
View ArticleUsing Compute within an existing Python (Flask) backend
Hi, I am always trying to get a grasp of the “big picture” first before I get into details. And I am still missing some very fundamental pieces of this puzzle (mainly because I am relatively new to...
View ArticleNGon Unweld
Hi, Is there a way to change mesh normals as if it would be unwelded without destroying NGon preview? In the image below, on the right side there is a welded mesh and the moment I unweld the mesh all...
View ArticleCreateFilletCornersCurve tolerances
Hello There is a Curve’s method called CreateFilletCornersCurve, that requires 2 tolerance inputs: double tolerance, double angleTolerance. I tried to understand both, so there are two questions: I...
View ArticleHow does the Offset command know on which side of the curve the mouse is...
I’m trying to find a way to determine on which side of a curve a point is located. Is there a built-in function in Rhinocommon that can check on which side of a curve a point is? How does the offset...
View ArticleRhinoCommon Light Properties
Hello, Any idea if these Light Properties in RhinCommon can be used and implemented? I’m not having any luck getting them to work. Intensity PowerCandela PowerLumens PowerWatts Would be great if we...
View ArticleGetObject only one with enter prompt
Hello everyone, I’m developing rhinocommon with c# WPF I have a question about selecting object. My scenario was below. In my WPF, I added one button in xaml. When user click button, user can select...
View ArticleOpennurbs convert subd to nurbs issue
i want to use opennurbs c++ to try to convert subd to nurbs, and the test code is following. and the subd->HasBrepForm() is false. What`s wrong with it? Does opennurbs has the function to convert...
View Article